From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/childprocess/
Date: Sun, 7 Jan 2024 08:26:46 +0000 (UTC) [thread overview]
Message-ID: <1704616002.1e5532f454e22b44b8304ec134c548a676826c0c.graaff@gentoo> (raw)
commit: 1e5532f454e22b44b8304ec134c548a676826c0c
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 7 08:10:14 2024 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 7 08:26:42 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e5532f4
dev-ruby/childprocess: add 5.0.0
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/childprocess/Manifest | 1 +
dev-ruby/childprocess/childprocess-5.0.0.ebuild | 41 +++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/dev-ruby/childprocess/Manifest b/dev-ruby/childprocess/Manifest
index 0f58eaa99cfe..0fc5fba1af1e 100644
--- a/dev-ruby/childprocess/Manifest
+++ b/dev-ruby/childprocess/Manifest
@@ -1 +1,2 @@
DIST childprocess-4.1.0.gem 34304 BLAKE2B 81ca075bde9705eed57c80b0d37e1d8fcf3938bd0319a40f2178dab9be08cba570d90cc5292d585b3911eca5a90b4ff861d1fc79ba487d1a4f08b0fbd9a78c48 SHA512 e635c3acfa5ad85891c3879f240c7e96d47d7d5ec3f472f4ce6661552b0fb7bd72c5e3b9fb73f4f9312b749fbe554b4be388e56a31a3c63c39743d055d774def
+DIST childprocess-5.0.0.gem 21504 BLAKE2B dae2022506c533f3c16337600bf5f489ccb694156079a2c9f2d3b1971c7fb44524e44b49e6e51c5ab6d1350222c8a84a5053b58e299cdc5e13633de2101f3952 SHA512 9ec340c86f4fd978b7a9925bcf90811ff3443f014469e4ff121e2c4758a4068823029ab413d1a57eb9de4a864435505b1edfa60a611709f2a5f99aaf08da422d
diff --git a/dev-ruby/childprocess/childprocess-5.0.0.ebuild b/dev-ruby/childprocess/childprocess-5.0.0.ebuild
new file mode 100644
index 000000000000..1d3f000e03be
--- /dev/null
+++ b/dev-ruby/childprocess/childprocess-5.0.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Solution for controlling external programs running in the background"
+HOMEPAGE="https://github.com/enkessler/childprocess"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ffi-1.0.11"
+
+all_ruby_prepare() {
+ # Remove bundler support
+ rm Gemfile || die
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ sed -i -e "/[Cc]overalls/d" spec/spec_helper.rb || die
+ sed -i -e 's/git ls-files/find/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_prepare() {
+ sed -i -e "s:'ruby':'"${RUBY}"':" spec/childprocess_spec.rb spec/spec_helper.rb || die
+ sed -i -e '/system/ s:ruby:'${RUBY}':' spec/spec_helper.rb || die
+}
+
+each_ruby_test() {
+ RUBYLIB=lib RSPEC_VERSION=3 ruby-ng_rspec
+}
next reply other threads:[~2024-01-07 8:26 UTC|newest]
Thread overview: 88+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-07 8:26 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-03 5:45 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/childprocess/ Hans de Graaff
2024-10-15 14:33 Sam James
2024-10-09 15:26 Sam James
2024-10-06 18:44 Arthur Zamarin
2024-10-06 18:28 Robin H. Johnson
2024-10-06 14:38 Sam James
2024-10-06 12:01 Sam James
2024-08-08 4:41 Hans de Graaff
2024-06-02 18:57 Arthur Zamarin
2024-06-02 18:57 Arthur Zamarin
2024-06-02 14:47 Sam James
2024-06-02 14:47 Sam James
2024-06-02 14:47 Sam James
2024-06-02 14:46 Sam James
2024-01-07 8:26 Hans de Graaff
2023-04-05 23:42 Sam James
2022-05-08 16:12 WANG Xuerui
2022-05-07 6:33 Hans de Graaff
2022-04-18 17:15 Hans de Graaff
2021-11-08 19:32 Sam James
2021-11-05 17:38 Sam James
2021-11-04 7:40 Agostino Sarubbo
2021-11-03 20:28 Sam James
2021-11-03 20:28 Sam James
2021-11-03 20:28 Sam James
2021-11-03 20:28 Sam James
2021-08-14 9:05 Marek Szuba
2021-06-10 6:13 Hans de Graaff
2021-05-04 5:29 Hans de Graaff
2020-11-06 3:21 Sam James
2020-07-22 9:02 Hans de Graaff
2020-06-26 8:35 Hans de Graaff
2020-06-19 13:09 Hans de Graaff
2020-02-05 6:16 Hans de Graaff
2019-11-27 13:04 Mikle Kolyada
2019-11-27 13:04 Mikle Kolyada
2019-11-25 7:30 Sergei Trofimovich
2019-11-23 16:57 Agostino Sarubbo
2019-11-23 15:51 Agostino Sarubbo
2019-11-23 15:50 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23 13:30 Agostino Sarubbo
2019-11-23 13:26 Agostino Sarubbo
2019-09-21 6:30 Hans de Graaff
2019-09-21 6:30 Hans de Graaff
2019-07-12 5:07 Hans de Graaff
2019-03-16 19:58 Mikle Kolyada
2019-02-04 5:45 Hans de Graaff
2018-08-12 6:05 Hans de Graaff
2018-07-22 14:37 Mikle Kolyada
2018-07-10 19:11 Sergei Trofimovich
2018-06-26 15:44 Tobias Klausmann
2018-06-16 5:05 Hans de Graaff
2018-06-15 12:28 Sergei Trofimovich
2018-06-13 20:02 Sergei Trofimovich
2018-04-30 20:11 Hans de Graaff
2018-04-27 10:31 Hans de Graaff
2018-02-02 16:44 Hans de Graaff
2017-12-29 0:20 Sergei Trofimovich
2017-12-20 22:21 Sergei Trofimovich
2017-11-26 10:02 Hans de Graaff
2017-11-10 9:50 Hans de Graaff
2017-11-10 8:04 Sergei Trofimovich
2017-11-09 22:32 Sergei Trofimovich
2017-09-24 6:17 Hans de Graaff
2017-07-22 19:25 Sergei Trofimovich
2017-07-18 4:29 Markus Meier
2017-07-01 13:45 Alexis Ballier
2017-06-28 13:19 Agostino Sarubbo
2017-06-27 3:55 Hans de Graaff
2017-06-27 3:55 Hans de Graaff
2017-06-14 4:38 Hans de Graaff
2017-05-08 5:22 Hans de Graaff
2017-05-08 5:22 Hans de Graaff
2017-04-17 7:44 Hans de Graaff
2017-03-26 7:50 Hans de Graaff
2017-03-08 6:32 Hans de Graaff
2017-02-14 0:36 Michael Weber
2017-01-23 6:44 Hans de Graaff
2016-09-01 19:49 Hans de Graaff
2016-07-22 19:04 Hans de Graaff
2016-03-06 22:21 Manuel Rüger
2016-03-06 22:21 Manuel Rüger
2016-01-07 6:39 Hans de Graaff
2016-01-07 6:39 Hans de Graaff
2015-11-14 10:13 Hans de Graaff
2015-10-24 6:01 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1704616002.1e5532f454e22b44b8304ec134c548a676826c0c.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox